/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/


/* Colores */

:root {
    --first-color: #413A39;
    --azul: #9ACDD9;
    --rosa: #F2B6C1;
    --verde: #A3D9C9;
    --amarillo: #F2CDA0;
}


/* Tipografías */

@import url('https://fonts.googleapis.com/css2?family=Sniglet&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@font-face {
    font-family: 'Sniglet';
    src: url('/wp-content/themes/generatepress_child/font/sniglet-regular-webfont.woff2') format('woff2'), url('/wp-content/themes/generatepress_child/font/sniglet-regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}


/* Estilos texto */

h1 {
    font-size: 40px;
    font-family: 'Sniglet';
    line-height: 1.2em !important;
    text-transform: uppercase !important;
}

.tit-oscuro h1,
.subt-oscuro h2 {
    color: var(--first-color);
}

.tit-azul h1,
.subt-azul h2 {
    color: var(--azul);
}

.tit-naranja h1 {
    color: var(--amarillo)!important;
}

h2 {
    font-family: 'Sniglet';
    font-size: 30px;
    line-height: 1.2em !important;
}

.subt-blanco h2 {
    color: #ffffff;
}

.subt-rosa h2 {
    color: var(--rosa);
}

h3 {
    font-family: 'Sniglet';
    font-size: 25px;
    line-height: 1.2em !important;
}

.contenido-oscuro p {
    font-family: 'Montserrat', sans-serif;
    font-weight: 500;
    line-height: 1.2em !important;
    font-size: 17px;
    color: var(--first-color);
}

p {
    font-size: 17px;
    font-family: 'Montserrat', sans-serif;
    line-height: 1.2em !important;
}

.tit-p p {
    font-family: 'Sniglet';
}

.contenido-blanco {
    font-family: 'Montserrat', sans-serif;
    font-weight: 500;
    font-size: 17px;
    color: #ffffff;
}

.tit-section h1 {
    color: #413A39;
}


/* enlaces */

.link-nj {
    color: var(--amarillo);
}

.link-nj:hover {
    color: #ffffff;
}

.link-az {
    color: var(--azul);
}

.link-az:hover {
    color: #ffffff;
}

.link-bl {
    color: #fff;
}

.link-bl:hover {
    color: var(--first-color);
}

.link-dark {
    color: var(--first-color);
    transition: all 0.4s ease;
}

.link-dark:hover {
    color: var(--azul);
}

.contenido-blanco a {
    color: #fff !important;
    transition: all 0.4s ease;
}

.contenido-blanco a:hover {
    color: var(--rosa) !important;
}


/*Botón branemark kids claro*/

.boton-brane {
    display: block;
    text-decoration: none;
    position: relative;
    color: var(--first-color);
    font-family: 'Sniglet';
}

.boton-brane .pre-shape {
    width: 320px;
    height: 52px;
    background-color: #fff;
}

.boton-brane.btn-long .pre-shape {
    width: 380px;
}

.boton-brane .shape {
    stroke-width: 3px;
    stroke-dashoffset: -20px;
    stroke-dasharray: 699px;
    fill: transparent;
    stroke: var(--first-color);
    transition: all 1s;
}

.boton-brane.btn-long .shape {
    stroke-dasharray: 800px;
}

.boton-brane:hover .shape {
    stroke-dasharray: 140px 540px;
    stroke-dashoffset: -474px;
    transition: all 1s;
}

.boton-brane>.text {
    height: 52px;
    top: 0;
    position: absolute;
    font-size: 24px;
    line-height: 31px;
    color: var(--first-color);
    width: 320px;
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: center;
}

.boton-brane.btn-long>.text {
    width: 380px;
}

.boton-brane>.text span {
    font-size: 18px;
    letter-spacing: initial;
    text-decoration: none;
    color: var(--first-color);
}


/* --- botones de colores --- */

.boton-brane.btn-azul .pre-shape .shape {
    stroke: #9ACDD9 !important;
}

.boton-brane.btn-azul>.text span {
    color: var(--azul);
}

.boton-brane.btn-home .pre-shape .shape {
    stroke: #fff !important;
}

.boton-brane.btn-home .pre-shape {
    background-color: #413A39;
}

.boton-brane.btn-home>.text span {
    color: #fff;
}


/*----------------FORM----------------*/

.bloq-campos {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-bottom: 0px;
}

.campo-contacto {
    flex: 0 0 48%
}

.campo-contacto.mensaje {
    flex: 0 0 100%;
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: 100%;
    margin-top: 10px;
}

.bloq-campos .campo-contacto input {
    background-color: #fff !important;
    border: none !important;
    color: var(--first-color) !important;
    border-bottom: 1px solid var(--azul) !important;
    width: 100%;
    margin-bottom: 10px;
}

.bloq-campos .campo-contacto textarea {
    background-color: #f2f2f2 !important;
    border: none !important;
    color: var(--azul) !important;
    border-bottom: 1px solid var(--azul) !important;
    width: 100%;
    margin-bottom: 10px;
}

.boton-form {
    width: 33%;
    margin-top: 20px !important;
    margin-bottom: 20px;
    padding-left: 20px!important;
    padding-right: 20px!important;
    background-color: var(--azul)!important;
    text-decoration: none;
    font-family: 'Sniglet', sans-serif;
    font-size: 15px;
    color: #fff !important;
}

.boton-form:hover {
    box-shadow: 0px 0px #fff!important;
}

.politica-privacidad {
    margin-bottom: 20px;
}


/* --- responsive ---*/

@media (max-width: 600px) {
    h1 {
        font-size: 25px;
        line-height: 1.2em !important;
    }
    h2 {
        font-size: 23px;
        line-height: 1.2em !important;
    }
    p {
        font-size: 17px;
        line-height: 1.2em !important;
    }
    .boton-brane .pre-shape,
    .boton-brane.btn-long .pre-shape,
    .boton-brane>.text,
    .boton-brane.btn-long>.text {
        width: 100%;
        height: 52px;
    }
    .boton-brane>.text {
        text-align: center;
    }
    .boton-brane>.text span {
        line-height: 1em;
    }
    .boton-form {
        width: 50%;
    }
}

.grecaptcha-badge {
    display: none;
}


/*------------------------- btn llamada mv ---------------------------------*/

.btn-llamar-mv {
    display: none;
}

@media (max-width: 767px) {
    .btn-llamar-mv {
        display: flex !important;
        position: fixed;
        left: 0;
        right: 0 !important;
        bottom: 0px;
        align-items: center;
        justify-content: center;
        width: 100%;
        z-index: 100;
        transition: all 0.4s ease;
        box-shadow: 0px -5px 30px rgb(0 0 0 / 15%);
    }
    .btn-llamar-mv a {
        padding-top: 14px;
        padding-bottom: 14px;
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
        width: 50%;
    }
    .btn-llamar-mv a.evento-llamar {
        background: #9ACDD9;
        border-right: 2px solid #fff;
    }
    .btn-llamar-mv a.evento-whatsapp {
        background: #F2CDA0;
    }
    .btn-llamar-mv img {
        width: 25px !important;
        height: 25px !important;
    }
    .btn-llamar-mv a .txt-btn-llamar {
        color: #fff !important;
        font-size: 20px;
        margin-left: 10px;
        letter-spacing: 0.02em;
        text-transform: uppercase;
    }
    .footer-aviso {
        margin-bottom: 60px;
    }
    .footer-aviso-ingles {
        margin-bottom: 60px;
    }
    .subir-btn {
        bottom: 0px;
        transition: all 0.4s ease;
    }
}


/* CAMBIOS JJ 23/06/22 */

@media (max-width:820px) {
    .background_extend {
        background-color: #F2CDA0 !important;
        background-image: linear-gradient(90deg, #F2CDA0 100%, #FFFFFF 20%) !important;
    }
}


/* DESACTIVAR PLUGIN DE COOKIES EN LAS PÁGINAS LEGALES */

.page-id-51 #moove_gdpr_cookie_modal {
    display: none!important;
}


/* BLOG */

.blog-posts article {
    background-color: #f7f8f9;
    border-bottom: 3px solid var(--first-color);
    position: relative;
}

.blog-posts article:hover {
    border-color: var(--azul);
}

.blog-posts article .elementor-post__text {
    padding: 20px;
}


/* artículos clicables*/


/* Create and position :after pseudo-element */

.elementor-widget.blog-posts article a:after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 2;
}


/* ENTRADA INDIVIDUAL */

.contenido-post h2 {
    border-bottom: 2px solid var(--first-color);
    padding-bottom: 5px;
}

.contenido-post h3 {
    color: var(--amarillo);
}

.contenido-post a {
    text-decoration: underline !important;
}


/*artículos clicables*/

.elementor-posts-container article a:after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 2;
}

.elementor-posts-container article {
    position: relative;
}


/* Texto legal bajo forms */

.let-peq {
    font-size: 12px;
}

/* ARREGLAR BUG CON LA VERSIÓN 25 DE ELEMENTOR Y EL RESPONSIVE QUE MOSTRABA ELEMENTOS OCULTOS */

@media (max-width: 767px) {
    .elementor-hidden-phone {
        display: none!important;
    }
}